Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #793

alarm plugin needs rewrite
May 06, 2018 14:40 - Joe Kamprad

Status: Closed Start date: May 06, 2018
Priority: Major Due date:

Assignee: % Done: 100%
Category: plugins/alarm Estimated time: 0.00 hour
Target version: 4.3

Affects version: 3.9

Description

When i enable the alarm plugin it force to enable an alarm, set to the time i do enable the plugin.
This can be very annoying if you do not remember this (or first time users).
Alarm should be not be enabled without active setting it.

History

#1 - June 30, 2018 02:05 - John Lindgren

The current alarm plugin has several serious problems:

- Unsafe use of pthread_cancel() -- on a thread calling into GTK!

- Heavy use of GTK, which we are moving away from in favor of Qt
- Usability issues such as this one

In a future version we'll probably just remove it. A replacement shouldn't be terribly hard to write.

#2 - June 30, 2018 02:07 - John Lindgren
- Category set to plugins/alarm

- Subject changed from alarm plugin (audicious 3.9) enables alarm automatic after enable the lugin to alarm plugin needs rewrite

#3 - June 30, 2018 02:08 - John Lindgren

- Priority changed from Trivial to Major

#4 - September 10, 2022 21:51 - John Lindgren
- % Done changed from 0 to 100
- Target version set to 4.3

- Status changed from New to Closed

It's been over 4 years and nothing has been done to save the alarm plugin. I've removed it:
https://github.com/audacious-media-player/audacious-plugins/commit/28d18e44498325b237520c850a55584 1b2770fea
